<script type="text/javascript" src="<?= VIS_PATH_SCRIPT; ?>datatables/data-tables/DT_bootstrap.js"></script>
<?  
    global $vis_language;
    if($result1!=-1) { 
	 
		 
				  
						 
				   
				 
	
	
	?>
<table cellpadding="0" cellspacing="0" border="0" class="table table-hover b-t b-light m-b-none" id="datatable">
		<thead class="table_head">
	 
		<tr>  
				<th><? echo $vis_language['TXTSTAFFNAME']; ?></th>
				<th><? echo $vis_language['TXTTOTALPOINT']; ?></th>
				<th><? echo $vis_language['TXTCURRENTRANK']; ?></th>
				
				<!--<th><? echo $vis_language['TXTHAPPYCUSTOMER']; ?></th>-->
				<!--<th><? echo $vis_language['TXTUNHAPPYCUSTOMER']; ?></th>-->
				<th><? echo $vis_language['TXTARTICLE']; ?></th>
				<th><? echo $vis_language['TXTCOMMENT']; ?></th>
				<th><? echo $vis_language['TXTNOTE']; ?></th>
				
				<th><? echo $vis_language['TXTBONUSPOINT']; ?></th>
				
									
			
				 	  
		</tr>
		</thead>
               
         <? $total=0;
		  
		 	foreach($result1 as $ticket_id => $details) {
					 	  
						 
						echo '<tr><td class="txt_nowrap">'.$details['first_name'].' '.$details['last_name'].'</td> <td class="txt_nowrap">'.$details['staff_point'].'</td> <td class="txt_nowrap">';
						$status=$details['level_id'];
						if($status==0 ){ echo '-';}else{
						echo ($status==1)?$vis_language['TXTPAWN']:'';
						echo ($status==2)? $vis_language['TXTKNIGHT']:'';
						echo ($status==3)?$vis_language['TXTBISHOP']:'';
					    echo ($status==4)?$vis_language['TXTROOK']:'';
						echo ($status==5)?$vis_language['TXTQUEEN']:'';
						echo ($status==6)?$vis_language['TXTKING']:'';}
						 echo '</td>'; 
						//echo'<td class="txt_nowrap">'.$happy_customer.'</td>';
						//echo'<td class="txt_nowrap">'.$unhappy_customer.'</td>';
						echo'<td class="txt_nowrap">'.$details['total_article'].'</td>';
						echo'<td class="txt_nowrap">'.$details['total_comment'].'</td>';
						echo'<td class="txt_nowrap">'.$details['total_notes'].'</td>';
						
						 echo'<td class="txt_nowrap">'.$details['Bonuspoint'].'</td>';
						 
						echo '</tr>';
					}
					
				
		 ?>
               
</table>
          <script>
		 	$("#vis_export_rpt_<?= $operation['vis_operation'] ?>").show(); 
		    $("#vis_export_rpt_<?= $operation['vis_operation'] ?>").html('<a href="javascript:void(0);" class="vis_button_export btn btn-primary btn-sm" data-toggle="ajaxModal" data-modal-arguments="vis_module=report&vis_operation=add_report_inqueue&vis_static_area=vis_open_new_dialog&duration=<? echo $data['duration']; ?>&from_date=<? echo strtotime($data['from_date']); ?>&to_date=<? echo strtotime($data['to_date']);?>&staff_id=<? echo $data['staff_id'];?>&department_id=<? echo $data['department_id'];?>&vis_status_id=<?echo $data['status_id']; ?>&vis_client_id=<? echo $data['vis_client_id'];?>&vis_criteria=<? $data['vis_criteria'];?>&report_type=32" onclick="" type="button"><? echo $vis_language['TXTEXPORT']; ?></a>'); 
		    
		    $("#vis_schedule_rpt_<?= $operation['vis_operation'] ?>").show(); 
		    $("#vis_schedule_rpt_<?= $operation['vis_operation'] ?>").html('<a href="javascript:void(0);" class="vis_button_export btn btn-primary btn-sm" data-toggle="ajaxModal" data-modal-arguments="vis_module=report&vis_operation=add_schedule_report_inqueue&vis_static_area=vis_open_new_dialog&duration=<? echo $data['duration']; ?>&from_date=<? echo strtotime($data['from_date']); ?>&to_date=<? echo strtotime($data['to_date']);?>&staff_id=<? echo $data['staff_id'];?>&department_id=<? echo $data['department_id'];?>&vis_status_id=<?echo $data['status_id']; ?>&vis_client_id=<? echo $data['vis_client_id'];?>&vis_criteria=<? $data['vis_criteria'];?>&report_type=32" onclick="" type="button"><? echo $vis_language['TXTSCHEDULE']; ?></a>'); 
		 </script> <?
    }
    else  {
		 $operation['no_record']=1;
         include(VIS_PATH_TEMPLATE.'no_record_yet.php');
        ?>
		<script> $("#vis_export_rpt_<?= $operation['vis_operation'] ?>").hide();</script>
		<script> $("#vis_schedule_rpt_<?= $operation['vis_operation'] ?>").hide();</script>
        <?php
    } ?>
	<script>
$(document).ready(function() {	
$('#totalamt').html(<?=$total?>);
$('#datatable').dataTable({		
        "bPaginate" : true,
        "aaSorting":  [],
        "iDisplayLength": <?php echo SECURITY_DATA_PER_PAGE;?>,
		"sDom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>', 		
	    "bFilter" : false,
		"bLengthChange": false,
		"bInfo": false,
		"aoColumns": [
			{ "bSortable": true },
		  	{ "bSortable": true },	
			{ "bSortable": true },			  
		  	{ "bSortable": true },
			{ "bSortable": true },
				{ "bSortable": true },
		  	{ "bSortable": true }		
		]
	});
});	
</script>
